Множественные уязвимости в xine-lib

Дата публикации:
26.08.2008
Всего просмотров:
1823
Опасность:
Высокая
Наличие исправления:
Частично
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
xine-lib 1.x
Уязвимые версии: xine-lib 1.1.14 и 1.1.15, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

1. Уязвимость существует из-за целочисленного переполнения в функции "open_ra_file()" в файле src/demuxers/demux_realaudio.c. Удаленный пользователь может с помощью специально сформированного RealAudio файла вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

2. Уязвимость существует из-за ошибки проверки границ данных в функции "parse_block_group()" в файле src/demuxers/demux_matroska.c. Удаленный пользователь может с помощью специально сформированного "Matroska" файла вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: xinehq.de

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www.ocert.org/advisories/ocert-2008-008.html

или введите имя

CAPTCHA